commit: a5913ce0134d42c4a3aed704270be8cdb3854e71
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Fri May 14 11:16:40 2021 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Fri May 14 12:06:43 2021 +0000
URL: https://gitweb.gentoo.org/proj/kde.git/commit/?id=a5913ce0
kde-plasma/plasma-desktop: Fix cmake config after upstream reshuffle
Upstream commit dabfc009d89dfcecae58e1adfb2362cc54adec8a
Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>
kde-plasma/plasma-desktop/plasma-desktop-9999.ebuild | 8 ++++++--
1 file changed, 6 insertions(+), 2 deletions(-)
diff --git a/kde-plasma/plasma-desktop/plasma-desktop-9999.ebuild
b/kde-plasma/plasma-desktop/plasma-desktop-9999.ebuild
index 1b319c3632..3a424efdc6 100644
--- a/kde-plasma/plasma-desktop/plasma-desktop-9999.ebuild
+++ b/kde-plasma/plasma-desktop/plasma-desktop-9999.ebuild
@@ -138,6 +138,11 @@ src_prepare() {
use emoji || cmake_run_in applets/kimpanel/backend/ibus \
cmake_comment_add_subdirectory emojier
+
+ # TODO: try to get a build switch upstreamed
+ if ! use scim; then
+ sed -e "s/^pkg_check_modules.*SCIM/#&/" -i CMakeLists.txt || die
+ fi
}
src_configure() {
@@ -149,11 +154,10 @@ src_configure() {
-DSYNAPTICS_INCLUDE_DIRS="${WORKDIR}/${XORGHDRS}"/include
$(cmake_use_find_package kaccounts AccountsQt5)
$(cmake_use_find_package kaccounts KAccounts)
- $(cmake_use_find_package scim SCIM)
$(cmake_use_find_package semantic-desktop KF5Baloo)
)
if ! use emoji && ! use ibus; then
- mycmakeargs+=( -DCMAKE_DISABLE_FIND_PACKAGE_IBus=ON )
+ mycmakeargs+=( -DCMAKE_DISABLE_FIND_PACKAGE_GLIB2=ON )
fi
ecm_src_configure